Package com.enonic.xp.content

## Class PushContentParams.Builder

- java.lang.Object
- - com.enonic.xp.content.PushContentParams.Builder

- Enclosing class:
    PushContentParams

      public static final class PushContentParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PushContentParams` | `build()` |
    `PushContentParams.Builder` | `contentIds​(ContentIds contentIds)` |
    `PushContentParams.Builder` | `contentPublishInfo​(ContentPublishInfo contentPublishInfo)` |
    `PushContentParams.Builder` | `deleteContentListener​(DeleteContentListener deleteContentListener)` |
    `PushContentParams.Builder` | `excludeChildrenIds​(ContentIds excludeChildrenIds)` |
    `PushContentParams.Builder` | `excludedContentIds​(ContentIds excludedContentIds)` |
    `PushContentParams.Builder` | `includeChildren​(boolean includeChildren)` | Deprecated.
    `PushContentParams.Builder` | `includeDependencies​(boolean includeDependencies)` |
    `PushContentParams.Builder` | `message​(String message)` |
    `PushContentParams.Builder` | `pushListener​(PushContentListener publishContentListener)` |
    `PushContentParams.Builder` | `target​(Branch target)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contentIds

          public PushContentParams.Builder contentIds​(ContentIds contentIds)

    - #### excludedContentIds

          public PushContentParams.Builder excludedContentIds​(ContentIds excludedContentIds)

    - #### excludeChildrenIds

          public PushContentParams.Builder excludeChildrenIds​(ContentIds excludeChildrenIds)

    - #### target

          @Deprecated
          public PushContentParams.Builder target​(Branch target)

      Deprecated.

    - #### contentPublishInfo

          public PushContentParams.Builder contentPublishInfo​(ContentPublishInfo contentPublishInfo)

    - #### includeChildren

          @Deprecated
          public PushContentParams.Builder includeChildren​(boolean includeChildren)

      Deprecated.

    - #### includeDependencies

          public PushContentParams.Builder includeDependencies​(boolean includeDependencies)

    - #### pushListener

          public PushContentParams.Builder pushListener​(PushContentListener publishContentListener)

    - #### deleteContentListener

          public PushContentParams.Builder deleteContentListener​(DeleteContentListener deleteContentListener)

    - #### message

          public PushContentParams.Builder message​(String message)

    - #### build

          public PushContentParams build()